Package io.strimzi.systemtest.kafkaclients.internalClients

## Class ClientArgumentMap

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.internalClients.ClientArgumentMap

-     public class ClientArgumentMap
      extends Object

  Class represents Map of arguments (allow duplicate argument)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientArgumentMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clear all arguments
    `Set<ClientArgument>` | `getArguments()` | Returns set of arguments
    `ArrayList<String>` | `getValues​(ClientArgument arg)` | Returns set of values for argument
    `Boolean` | `put​(ClientArgument key, String value)` | Add argument and his values
    `void` | `remove​(ClientArgument key)` | Removes argument from map

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientArgumentMap

          public ClientArgumentMap()

  - ### Method Detail

    - #### getValues

          public ArrayList<String> getValues​(ClientArgument arg)

      Returns set of values for argument
      Parameters:
        `arg` - argument
      Returns:
        Set of values

    - #### getArguments

          public Set<ClientArgument> getArguments()

      Returns set of arguments
      Returns:
        set of arguments

    - #### remove

          public void remove​(ClientArgument key)

      Removes argument from map
      Parameters:
        `key` - name of argument

    - #### clear

          public void clear()

      Clear all arguments

    - #### put

          public Boolean put​(ClientArgument key,
                             String value)

      Add argument and his values
      Parameters:
        `key` - arguments
        `value` - value
      Returns:
        true if operation is completed